package com.vendor.burn.preferences;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.burn.Messages;
import com.vendor.burn.preferences.FastbootPreferences;
import com.vendor.burn.preferences.PreferenceConstants;
import org.eclipse.jface.preference.BooleanFieldEditor;
import org.eclipse.jface.preference.FieldEditor;
import org.eclipse.jface.preference.FieldEditorPreferencePage;
import org.eclipse.jface.preference.RadioGroupFieldEditor;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Layout;
import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchPreferencePage;

public class ImageFillPerference extends FieldEditorPreferencePage implements IWorkbenchPreferencePage, PreferenceConstants {
  private String[][] data = new String[][] { { "0x00", "0x00" }, { "0xFF", "0xFF" } };
  
  private BooleanFieldEditor pinSaveModeEditor;
  
  public void init(IWorkbench workbench) {
    setPreferenceStore(FastbootPreferences.getPreferenceStore());
  }
  
  protected void createFieldEditors() {
    Composite parent = getFieldEditorParent();
    parent.setLayout((Layout)new GridLayout(1, false));
    Group imageFillGroup = new Group(parent, 0);
    imageFillGroup.setLayout((Layout)new GridLayout(1, false));
    imageFillGroup.setLayoutData(new GridData(4, 1, true, false));
    imageFillGroup.setText(Messages.ImageFillPerferencePageg_Tips);
    RadioGroupFieldEditor imageFillData = new RadioGroupFieldEditor("vendor.burn.config.imageFill", "", 2, this.data, (Composite)imageFillGroup);
    addField((FieldEditor)imageFillData);
    GridLayout gl = (GridLayout)imageFillGroup.getLayout();
    gl.marginWidth = gl.marginHeight = gl.verticalSpacing = 5;
    imageFillGroup.layout();
    Group nand610PinSaveModeGroup = new Group(parent, 0);
    nand610PinSaveModeGroup.setLayout((Layout)new GridLayout(1, false));
    nand610PinSaveModeGroup.setLayoutData(new GridData(4, 1, true, false));
    nand610PinSaveModeGroup
      .setText(Messages.ImageFillPerferencePageg_NandPinSaveModeSetting);
    this.pinSaveModeEditor = (BooleanFieldEditor)new Object(this, "vendor.burn.config.imageFill.nand.pinSaveMode", Messages.ImageFillPerferencePageg_NandPinSaveMode, (Composite)nand610PinSaveModeGroup, parent);
    addField((FieldEditor)this.pinSaveModeEditor);
    GridLayout g2 = (GridLayout)nand610PinSaveModeGroup.getLayout();
    g2.marginWidth = g2.marginHeight = g2.verticalSpacing = 15;
    nand610PinSaveModeGroup.layout();
  }
}
